# stl_construct.h File Reference

## Detailed Description

This is an internal header file, included by other library headers. You should not attempt to use it directly.

Definition in file stl_construct.h.

Go to the source code of this file.

## Namespaces

- namespace std

## Defines

- #define _STL_CONSTRUCT_H

## Functions

- template<typename _ForwardIterator> void __destroy_aux (_ForwardIterator, _ForwardIterator, __true_type)
- template<typename _ForwardIterator> void __destroy_aux (_ForwardIterator __first, _ForwardIterator __last, __false_type)
- template<typename _T1> void _Construct (_T1 *__p)
- template<typename _T1, typename _T2> void _Construct (_T1 *__p, const _T2 &__value)
- template<typename _ForwardIterator, typename _Allocator, typename _Tp> void _Destroy (_ForwardIterator __first, _ForwardIterator __last, allocator< _Tp >)
- template<typename _ForwardIterator, typename _Allocator> void _Destroy (_ForwardIterator __first, _ForwardIterator __last, _Allocator __alloc)
- template<typename _ForwardIterator> void _Destroy (_ForwardIterator __first, _ForwardIterator __last)
- template<typename _Tp> void _Destroy (_Tp *__pointer)